#32/64 spec
#

Name:		qtermwidget
Summary:	Qt5 terminal widget
Version: 	1.4.0
Release: 	%mkrel 1
License:	GPL
Source:		%{name}-%{version}.tar.xz
Group:		Graphical desktop/LXQT
URL:		http://qtermwidget.sourceforge.net/
BuildRequires:	gcc-c++
BuildRequires:	cmake 
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	qt5widgets-devel 
BuildRequires:  lxqt-build-tools >= 0.13.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-build


%description
QTermWidget is an opensource project based on KDE4 Konsole
application. The main goal of this project is to provide
unicode-enabled, embeddable QT4 widget for using as a built-in
console (or terminal emulation widget). 


%package devel
Summary:	Qt5 terminal widget - devel package
Group:          Development/Libraries
Requires:       %{name} >= %{version}

%description devel
Development files for %name


%prep
%setup -q

%build
%cmake_qt5 -DUSE_QT5=true -DBUILD_DESIGNER_PLUGIN=0 
%make


%install
pushd build
%makeinstall_std
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE CHANGELOG README.md
%{_datadir}/%{name}5/color-schemes/*.colorscheme
%{_datadir}/%{name}5/color-schemes/*/*.schema
%{_datadir}/%{name}5/kb-layouts/*.keytab
%{_datadir}/%{name}5/kb-layouts/*/*.keytab
%{_libdir}/lib%{name}5.so.1*
%{_datadir}/%{name}5/translations/*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}5/%{name}.h
%{_includedir}/%{name}5/Filter.h
%{_includedir}/%{name}5/Emulation.h
%{_includedir}/%{name}5/qtermwidget_export.h
%{_includedir}/%{name}5/qtermwidget_version.h
%{_includedir}/%{name}5/KeyboardTranslator.h
%{_includedir}/%{name}5/qtermwidget_interface.h
%{_libdir}/lib%{name}5.so
%{_libdir}/cmake/%{name}5/%{name}5*.cmake
%{_libdir}/pkgconfig/%{name}5.pc

%changelog
* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version

* Sun Nov 06 2022 daniel - 1.2.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0

* Thu Apr 15 2021 daniel <> 0.17.0-1pclos2021
- 0.17.0

* Wed Nov 18 2020 daniel <meisssw01 at gmail.com> 0.16.1-1pclos2020
- 0.16.1

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0

* Sat Sep 12 2020 tex - 0.15.0-4pclos2020
- rebuild against updates

* Mon Jun 15 2020 tex - 0.15.0-3pclos2020
- rebuild against updates

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.0-2pclos2020
- rebuild against updates

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Mon Jan 28 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Sun Jul 29 2018 daniel <meisssw01 at gmail.com> 0.9.0-1pclos2018
- update

* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.8.0-1pclos2017
- update

* Wed Dec 21 2016 daniel <meisssw01 at gmail.com> 0.7.1-1pclos2017
- update 

* Sun Sep 25 2016 ghostbunny <ghostbunny at gmx dot de> 0.7.0-1pclos2016
- 0.7.0

* Sat Jul 11 2015 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2015
- 0.6.0
- build with qt5

* Wed Jul 09 2014 ghostbunny <ghostbunny at gmx dot de> 0.4.0-1pclos2014
- 0.4.0
- use macros instead of pure make, cmake, ...

* Wed Nov 30 2011 Texstar <texstar at gmail.com> 0.2-1pclos2011
- 0.2
